|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Qt 3 Support Members for QWhatsThis

The following class members are part of the Qt 3 support layer. They are provided to help you port old code to Qt 4. We advise against using them in new code.

- QWhatsThis class reference

### Static Public Members

- void add ( QWidget * w, const QString & s )
- void remove ( QWidget * w )
- QToolButton * whatsThisButton ( QWidget * parent )

## Member Function Documentation

### void QWhatsThis::add ( QWidget * w, const QString & s ) `[static]`

Sets the What's This text s for the widget w.

Use QWidget::setWhatsThis() or QAction::setWhatsThis() instead.

### void QWhatsThis::remove ( QWidget * w ) `[static]`

Remove's the What's This text for the widget w.

Use QWidget::setWhatsThis() or QAction::setWhatsThis() instead.

### QToolButton * QWhatsThis::whatsThisButton ( QWidget * parent ) `[static]`

Returns a new "What's This?" QToolButton with the given parent. To do this now, create your own QToolButton and a QWhatsThis object and call the QWhatsThis object's showText() function when the QToolButton is invoked.

Use createAction() instead.